> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Record Agent Skill Feedback

POST https://api.getzep.com/api/v4/agents/{agent_uuid}/skills/{skill_uuid}/uses/{use_uuid}/outcome
Content-Type: application/json

Reference: https://docs-beta.getzep.com/sdk-reference/agent/skill/use/add-outcome

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `agent_uuid` (string, required) — Agent UUID
- `skill_uuid` (string, required) — Skill UUID
- `use_uuid` (string, required) — Skill use UUID

### Body (application/json)

This endpoint expects a v4.AddAgentSkillUseOutcomeRequest.

- `outcome` (enum, required)
  - Allowed values: `succeeded`, `failed`, `partial`, `abandoned`, `unknown`

## Response

### 201

Created

- `assertion_uuid` (string, optional)
- `created_at` (string, optional)
- `outcome` (string, optional)
- `trajectory_uuid` (string, optional)
- `use_uuid` (string, optional)
- `uuid` (string, optional)
- `verification` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

### 409 Conflict Error

Conflict

- `error` (v4.ErrorBody, optional)

## Types

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Request**

```json
{
  "outcome": "succeeded"
}
```

**Response**

```json
{
  "assertion_uuid": "string",
  "created_at": "string",
  "outcome": "string",
  "trajectory_uuid": "string",
  "use_uuid": "string",
  "uuid": "string",
  "verification": "string"
}
```